# Projektkonzept

Teamvorstellung:

|Name            |           GMID|        Sonstiges|
|---             |---            |---              | 
|Torben Zwinge   |        Inf2801|       Teamleiter|
|Timo Ley        |        Inf2824|                 |
|Jan Fröse       |        Inf1921|                 |

<br/><br/>

Projektidee:

Hotelmanagementsystem

- Das System bildet Buchungen von Kunden ab
- Zusätzlich werden die Reinigungen von Zimmern betrachtet

<br/><br/>

Entity Relationship Model:

![eerm](eerm.png)

<br/>

Relationenmodell:

![rm](rm.png)

<br/>

Prozeduren & Funktionen:

- Funktion 1 (Torben): Gebe mir den Clerk mit den meisten Reinigungen in den letzten X Monaten.
- Funktion 2 (Timo): Gebe mir von den letzten X Monaten die Bookings aus.
- Funktion 3 (Jan): Gebe mir zu einem Kunden alle Zimmer die er in den letzten X Monaten gebucht hat.

<br/>

Trigger:

- Trigger 1 (Torben): Wenn eine Buchung getätigt wird (BookingRoom erstellt), wird ein Cleaningplan vor der Buchung erstellt
- Trigger 2 (Timo): Cleaning wird im Zeitraum geplant, während Zimmer gebucht
- Trigger 3 (Jan): Wenn eine Buchung getätigt wird, wird der Gesamtpreis der Buchung ausgegeben; bestehend aus dem Preis pro Nacht und der Anzahl Übernachtungen.

<br/>

PL/SQL-Übersicht:

| Torben     |        Timo       |        Jan        |
|------------|---                |---                | 
| Funktion 1 |Prozedur 2         |Prozedur 3         |
| Trigger 1  |Trigger 2          |Trigger 3          |
